#!/usr/bin/perl

open(H, "> mlerr.h");
print H "\n\n";
open(C, "> mlerr.c");
print C "\n\n";

$i = 0;
while (<DATA>) {
   s/^\s+|\s+$//g;
   /^$/ && next;
   push(@s, $_);
   s/\s+/_/g;
   printf(H "#define %-30.30s %3d\n", uc($_), $i++);
}
printf(H "\nextern char *ml_err[];\n");
printf(C "char *ml_err[] = {\n");
while($_ = shift(@s)) {
   printf(C "   \"$_.\",\n",);
}
printf(C "};\n");

__END__
No serial device specified
malloc failed   
calloc failed   
realloc failed   
Null ptr
Bad index
Object already exists
Call trace overflow
Semaphore overflow
Queue overflow
Stack overflow
open failed
ioctl failed
tcgetattr failed
select failed
read failed
write failed
No address match
No devices found
XidarML bus failure
CRC error
GetEventByName failed
